Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.accessibility
Class AccessibleBundle

    java.lang.Object
      |
      +--javax.accessibility.AccessibleBundle

Direct Known Subclasses:
  AccessibleRole, AccessibleState

public abstract class AccessibleBundle
extends java.lang.Object

Base class used to maintain a strongly typed enumeration. This is the superclass of `AccessibleState` and `AccessibleRole`.

The toDisplayString method allows you to obtain the localized string for a locale independent key from a predefined ResourceBundle for the keys defined in this class. This localized string is intended to be readable by humans.

See Also:
  `AccessibleRole`, `AccessibleState`

Field Summary
`protected java.lang.String` | `key` The locale independent name of the state.

Constructor Summary
`AccessibleBundle()`

Method Summary
`java.lang.String` | `toDisplayString()` Get localized string describing the key using the default locale.
`java.lang.String` | `toDisplayString(java.util.Locale locale)` Obtain the key as a localized string.
`protected java.lang.String` | `toDisplayString(java.lang.String resourceBundleName, java.util.Locale locale)` Obtain the key as a localized string.
`java.lang.String` | `toString()` Get localized string describing the key using the default locale.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### key

    protected java.lang.String key

  The locale independent name of the state. This is a programmatic name that is not intended to be read by humans.
  See Also:
    `toDisplayString(java.lang.String, java.util.Locale)`

Constructor Detail

### AccessibleBundle

    public AccessibleBundle()

Method Detail

### toDisplayString

    protected java.lang.String toDisplayString(java.lang.String resourceBundleName,
                                               java.util.Locale locale)

  Obtain the key as a localized string. If a localized string cannot be found for the key, the locale independent key stored in the role will be returned. This method is intended to be used only by subclasses so that they can specify their own resource bundles which contain localized strings for their keys.
  Parameters:
    `resourceBundleName` - the name of the resource bundle to use for lookup
    `locale` - the locale for which to obtain a localized string
  Returns:
    a localized String for the key.

### toDisplayString

    public java.lang.String toDisplayString(java.util.Locale locale)

  Obtain the key as a localized string. If a localized string cannot be found for the key, the locale independent key stored in the role will be returned.
  Parameters:
    `locale` - the locale for which to obtain a localized string
  Returns:
    a localized String for the key.

### toDisplayString

    public java.lang.String toDisplayString()

  Get localized string describing the key using the default locale.
  Returns:
    a localized String describing the key for the default locale

### toString

    public java.lang.String toString()

  Get localized string describing the key using the default locale.
  Returns:
    a localized String describing the key using the default locale
  Overrides:
    toString in class java.lang.Object
  See Also:
    `toDisplayString(java.lang.String, java.util.Locale)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.